/**
 * Pins an object, preventing it from being cleaned up by the GC.
 * @internal
 */
export declare class GCPin<TObject = unknown> {
    readonly object: TObject;
    private id;
    /**
     * Creates a GCPin object.
     * @param object - the object to pin
     * @internal
     */
    constructor(object: TObject);
    /**
     * Releases the object
     */
    release(): TObject;
}
